#version 330

in vec2 fUVs;

out vec4 fragColor;

uniform sampler2D sceneMap;
uniform float threshold;

void main(){
	vec3 textureColor = texture2D(sceneMap, fUVs).xyz;

	bool overThreshold = true;
	if(textureColor.x < 0.8) overThreshold = false;
	else if(textureColor.y < 0.8) overThreshold = false;
	else if(textureColor.z < 0.8) overThreshold = false;

	if(!overThreshold) fragColor = vec4(0.0, 0.0, 0.0, 1.0); //< threshold
	else fragColor = vec4(0.5,0.5,1.0,1.0);//vec4(textureColor, 1.0);
}